Subject: Re: [PATCH 5/6] net: dsa: mv88e6060: add register defines header file

From: Andrew Lunn <[email-masked]>
Date: Tue, 10 Nov 2015 15:30:50 +0100

On Tue, Nov 10, 2015 at 09:25:51AM -0500, Vivien Didelot wrote:
> Hi Neil,
> 
> On Nov. Tuesday 10 (46) 02:25 PM, Neil Armstrong wrote:
> > To align with the mv88e6xxx code, add a similar header file
> > with all the register defines.
> > The file is based on the mv88e6xxx header for coherency.
> > 
> > Signed-off-by: Neil Armstrong <[email-masked]>
> 
> In the RFC patchset, Andrew mentioned that there is not that much things in
> common with mv88e6xxx, so I don't really see a value to add a separate header
> file. Would that make sense to you guys to add the defines directly in
> mv88e6060.c and squash that in the last patch?

It is personal taste, but i think there are enough defines that having
a separate header file is useful. For < 10 i would agree with Vivien,
but with ~100, i prefer a header file. 

  Andrew